﻿using Xamarin.Forms;
using Syncfusion.SfDataGrid.XForms;
using System.ComponentModel;
using System.Collections.ObjectModel;
using Newtonsoft.Json;
using Refit;
using System.Threading.Tasks;

namespace DataGridDemo
{
    public partial class MainPage : ContentPage, INotifyPropertyChanged
    {
        public MainPage()
        {
            InitializeComponent();
        }

        protected override void OnAppearing()
        {
            base.OnAppearing();
            getData();
        }

        private async void getData()
        {
            ViewModel viewModel = new ViewModel();
            sfGrid.ColumnSizer = ColumnSizer.Star;
            sfGrid.AllowEditing = true;
            sfGrid.NavigationMode = NavigationMode.Cell;
            sfGrid.SelectionMode = Syncfusion.SfDataGrid.XForms.SelectionMode.Single;
            sfGrid.ItemsSource = viewModel.OrdersInfo;
            await Task.Delay(2000);
            viewModel.SetRecords();
        }
    }
}


