﻿using Newtonsoft.Json;
using System;
using System.ComponentModel;

namespace DataGridDemo
{
    public class OrderInfo : INotifyPropertyChanged
    {
        private string id;
        private string brand;
        private double price;

        [JsonProperty("id")]
        public string ID
        {
            get
            {
                return id;
            }
            set
            {
                id = value;
                RaisePropertyChanged("ID");
            }
        }

        [JsonProperty("brand")]
        public string Brand
        {
            get
            {
                return brand;
            }
            set
            {
                brand = value;
                RaisePropertyChanged("Brand");
            }
        }

        [JsonProperty("price")]
        public double Price
        {
            get
            {
                return price;
            }
            set
            {
                price = value;
                RaisePropertyChanged("Price");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void RaisePropertyChanged(String Name)
        {
            if (PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(Name));
        }
    }
}