﻿using Newtonsoft.Json;
using Refit;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Text;
using System.Threading.Tasks;

namespace DataGridDemo
{
    public class ViewModel : INotifyPropertyChanged
    {
        private ObservableCollection<OrderInfo> ordersInfo;
        public ObservableCollection<OrderInfo> OrdersInfo
        {
            get
            {
                return ordersInfo;
            }
            set
            {
                ordersInfo = value;
                RaisePropertyChanged("OrdersInfo");
            }
        }

        public ViewModel()
        {
            this.OrdersInfo = new ObservableCollection<OrderInfo>();
        }
        public async void SetRecords()
        {
            await Task.Delay(2000);
            var url = RestService.For<RefitApi>("http://makeup-api.herokuapp.com");
            var orderInfo = await url.GetCompanyAsync("maybelline");
            ObservableCollection<OrderInfo> records = JsonConvert.DeserializeObject<ObservableCollection<OrderInfo>>(orderInfo);
            foreach (var record in records)
            {
                this.OrdersInfo.Add(record);
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        private void RaisePropertyChanged(String Name)
        {
            if (PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(Name));
        }
    }
}
